module("luci.controller.fileutils", package.seeall)

function index()
	require("luci.i18n")
	luci.i18n.loadc("fileutils")
	
	entry({"admin", "services", "file_edit"}, call("action_edit"), luci.i18n.translate("editfile"), 91).dependent=false
	entry({"admin", "services", "file_upload"}, call("action_upload"), luci.i18n.translate("uploadfile"), 92).dependent=false
end

function action_edit()

	local filepath = luci.http.formvalue("filepath")
	local state = luci.http.formvalue("state")
	local contents = luci.http.formvalue("contents")
	
	if state == "update" then
		luci.template.render("fileutils/edit_file", {
			filepath=filepath, state=state, contents=contents
		})
	elseif state == "load" then
		luci.template.render("fileutils/edit_file", {
			filepath=filepath, state=state
		})
	else	
		luci.template.render("fileutils/edit_file")
	end
end

function action_upload()

	local tmpfile = "/tmp/tmpfile" 
	local file
	luci.http.setfilehandler(
		function(meta, chunk, eof)
			--if nixio.fs.access(tmpfile) and not file and chunk and #chunk > 0 then
			if not file then
				file = io.open(tmpfile, "w")
			end
			if file and chunk then
				file:write(chunk)
			end
			if file and eof then
				file:close()
			end
		end
	)

	local has_upload = luci.http.formvalue("file") -- filename
	local path = luci.http.formvalue("path")
	local state = luci.http.formvalue("state")
	local has_file 

	if has_upload then
		local rename = path .. "/" .. has_upload
		nixio.fs.move(tmpfile, rename)
		has_file = nixio.fs.access(rename)
	end

	if state == "upload" then
		if has_file then
			state = "success"
			luci.template.render("fileutils/upload_file", {
				state=state, has_upload=has_upload
			})
		else
			state = "error"
			luci.template.render("fileutils/upload_file", {
				state=state, has_upload=has_upload
			})
		end
	else
		luci.template.render("fileutils/upload_file")
	end
end

