--[[
LuCI - Lua Configuration Interface for Video Recorder
Copyright (C) 2010-2011 Thinktube Inc
]]--

module("luci.controller.vrec", package.seeall)

function index()
	entry({"admin", "vrec"}, alias("admin", "vrec", "settings"), "VREC", 92).dependent=false
	entry({"admin", "vrec", "settings"}, cbi("vrec/vrec"), "Video Recorder Settings", 21).dependent=false
	entry({"admin", "vrec", "status"}, call("vrec_status"), "Video Recorder Status", 31).dependent=false

end 

function indexA()
	-- internationalized with config file check
	require("luci.i18n")
	luci.i18n.loadc("vrec")
	if not nixio.fs.access("/etc/config/vrec") then
		return
	end

	entry({"admin", "vrec"}, alias("admin", "vrec", "settings"), luci.i18n.translate("vrec_menu_title", "VREC"), 91)
	entry({"admin", "vrec", "settings"}, cbi("vrec/vrec"), luci.i18n.translate("vrec_setting", "Video Recorder Settings"), 20)
	entry({"admin", "vrec", "status"}, call("vrec_status"), luci.i18n.translate("vrec_status", "Video Recorder Status"), 30)

end

function vrec_status()
	local stop = luci.http.formvalue("vrec_stop")
	local pid = luci.http.formvalue("vrec_pid")
	local i18n = luci.i18n.translate
	local message

	if stop then
		luci.sys.exec("kill " .. pid)
		message = i18n("vrec_task_stop", "Recording Task stopped")
	end
	luci.template.render("vrec/vrec_status", {message=message})
end
